[Buildroot] [PATCH v3 1/1] package/grpc: bump to version 1.25.0

Thomas Petazzoni thomas.petazzoni at bootlin.com
Thu Dec 5 21:18:07 UTC 2019


On Thu,  5 Dec 2019 13:01:55 -0800
aduskett at gmail.com wrote:

> -GRPC_VERSION = 1.23.0
> +GRPC_VERSION = 1.25.0
>  GRPC_SITE = $(call github,grpc,grpc,v$(GRPC_VERSION))
>  GRPC_LICENSE = Apache-2.0
>  GRPC_LICENSE_FILES = LICENSE
> @@ -48,6 +48,14 @@ GRPC_CFLAGS += -O0
>  GRPC_CXXFLAGS += -O0
>  endif
>  
> +# Toolchains older than gcc5 will fail to compile with -0s due to:
> +# error: failure memory model cannot be stronger than success memory model for
> +# '__atomic_compare_exchange'
> +ifneq ($(BR2_TOOLCHAIN_GCC_AT_LEAST_5),y)

Could also be:

ifeq ($(BR2_TOOLCHAIN_GCC_AT_LEAST_5),)

> +GRPC_CFLAGS += -O0
> +GRPC_CXXFLAGS += -O0

What happens when O2 or O3 are the default optimization flags? Does it
build? If it does, what you're doing is a bit brutal, as you're forcing
O0 even if O2 or O3 would work.

Best regards,

Thomas
-- 
Thomas Petazzoni, CTO, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com


More information about the buildroot mailing list